- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# WriteFile File Reference

`#include <osg/Image>`
`#include <osg/Shape>`
`#include <osg/Node>`
`#include <osgDB/Export>`
`#include <string>`

Include dependency graph for WriteFile:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgDB
## Defines
#define | OSGDB_WRITEFILE 1
## Functions
OSGDB_EXPORT bool | osgDB::writeObjectFile (const osg::Object &object, const std::string &filename)
| Write an osg::Object to file.
OSGDB_EXPORT bool | osgDB::writeImageFile (const osg::Image &image, const std::string &filename)
| Write an osg::Image to file.
OSGDB_EXPORT bool | osgDB::writeHeightFieldFile (const osg::HeightField &hf, const std::string &filename)
| Write an osg::HeightField to file.
OSGDB_EXPORT bool | osgDB::writeNodeFile (const osg::Node &node, const std::string &filename)
| Write an osg::Node to file.

## Define Documentation

#define OSGDB_WRITEFILE 1